Subject: Re: Draft IESG Statement Regarding Ethertype Requests

From: t.p. <[email-masked]>
Date: Thu, 2 Aug 2012 15:26:47 +0100

What is the position of the IRTF on this?

Tom Petch

----- Original Message -----
From: "Russ Housley" <[email-masked]>
To: "Romascanu, Dan (Dan)" <[email-masked]>
Cc: "IETF" <[email-masked]>
Sent: Monday, July 30, 2012 11:53 PM

Dan:

Only protocol specifications make use of Ethertypes.  The statement is
intended to apply to any protocol specification on the IETF Stream
(Standards Track RFC, Informational RFC, or Experimental RFC) that needs
to allocate a new Ethertype.

Russ

On Jul 30, 2012, at 5:20 PM, Romascanu, Dan (Dan) wrote:

>
>
> (I hope not to open some Pandora box or a long thread - my goal is to
> make sure there is clarity in the language of the statement)
>
> What 'IETF protocol specification' means here?
>
> Pretty clear it covers protocols defined in IETF standards-track
> documents.
>
> Does it also cover protocols defined (described) in Informational RFCs
> which are part of the IETF stream?
>
> Dan
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:ietf-announce-
>> [email-masked]] On Behalf Of IETF Chair
>> Sent: Monday, July 30, 2012 7:40 PM
>> To: IETF Announce
>> Cc: IETF
>> Subject: Draft IESG Statement Regarding Ethertype Requests
>>
>> Last week the IAB and the IESG met with the leadership of IEEE 802.
> One
>> of the things that was discussed was the IEEE policies for allocating
>> EtherTypes, and the IESG is considering the attached IESG Statement
to
>> implement an IETF policy that aligns with the IEEE policy.
>>
>> If you have an comments on this proposed policy, please raise them on
>> [email-masked].
>>
>> Russ
>>
>> = = = = = =
>>
>> The IEEE Registration Authority Committee (RAC) assigns Ethertypes.
>> (See http://standards.ieee.org/develop/regauth/ethertype/.)  Some
IETF
>> protocol specification make use of Ethertypes.  Since Ethertypes are
a
>> fairly scarce resource, the IEEE RAC will not assign an Ethertype to
a
>> new IETF protocol specification that needs a new Ethertype until the
>> IESG has approved the specification for publication as an RFC.
>>
>> To let the IEEE RAC know that the IESG has approved an IETF protocol
>> specification for publication, all future requests for assignment of
>> Ethertypes for IETF protocol specifications will be made by the IESG.
>>
>> Note that playpen Ethertypes have been assigned in IEEE 802 [1] for
> use
>> during development and experimentation.
>>
>>
>> [1] IEEE Std 802a-2003 (Amendment to IEEE Std 802-2001).
>>    IEEE standard for Local and Metropolitan Area Networks:
>>    Overview and Architecture -- Amendment 1: Ethertypes for
>>    Prototype and Vendor-Specific Protocol Development.